=== debian/changelog ===
double-conversion (1.1.1-1) unstable; urgency=low

  * Initial release. (Closes: #692264)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 02 Nov 2012 14:57:08 +0100
