=== debian/control ===
Source: double-conversion
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-exec
Standards-Version: 3.9.4
Section: libs
Homepage: http://double-conversion.googlecode.com
Vcs-Git: git://git.debian.org/git/debian-science/packages/double-conversion.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/double-conversion.git

Package: libdouble-conversion0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: routines to convert IEEE floats to and from strings
 This library provides routines to convert IEEE single and double floats to and
 from string representations. It offers at lot of flexibility with respect to
 the conversion format: shortest, fixed, precision or exponential
 representation; decimal, octal or hexadecimal basis; control over number of
 digits, leading/trailing zeros and spaces.
 .
 The library consists of efficient conversion routines that have been
 extracted from the V8 JavaScript engine. The code has been refactored
 and improved so that it can be used more easily in other projects.
 .
 This package contains a shared version of the library.

Package: libdouble-conversion-dev
Section: libdevel
Architecture: any
Depends: libdouble-conversion0 (= ${binary:Version}), ${misc:Depends}
Description: routines to convert IEEE floats to and from strings (development files)
 This library provides routines to convert IEEE single and double floats to and
 from string representations. It offers at lot of flexibility with respect to
 the conversion format: shortest, fixed, precision or exponential
 representation; decimal, octal or hexadecimal basis; control over number of
 digits, leading/trailing zeros and spaces.
 .
 The library consists of efficient conversion routines that have been
 extracted from the V8 JavaScript engine. The code has been refactored
 and improved so that it can be used more easily in other projects.
 .
 This package contains a static version of the library and development headers.

Package: libdouble-conversion-dbg
Section: debug
Architecture: any
Depends: libdouble-conversion0 (= ${binary:Version}), ${misc:Depends}
Description: routines to convert IEEE floats to and from strings (debugging symbols)
 This library provides routines to convert IEEE single and double floats to and
 from string representations. It offers at lot of flexibility with respect to
 the conversion format: shortest, fixed, precision or exponential
 representation; decimal, octal or hexadecimal basis; control over number of
 digits, leading/trailing zeros and spaces.
 .
 The library consists of efficient conversion routines that have been
 extracted from the V8 JavaScript engine. The code has been refactored
 and improved so that it can be used more easily in other projects.
 .
 This package contains the detached debugging symbols of the library.
