## double-conversion 2.0.0

=== debian/changelog ===
double-conversion (2.0.0-1) unstable; urgency=low

  * Imported Upstream version 2.0.0
  * Bump SONAME to libdouble-conversion.so.1.
    StringToDoubleConverter::StringToIeee has been removed. Even though it is a
    private member, it is called by a public inlined function.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Remove unused lintian overrides
  * Use canonical URLs for Vcs-* fields
  * Mark debug package as Multi-Arch: same

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 13 Nov 2013 17:35:09 +0100
