=== debian/changelog ===
double-conversion (2.0.1-4ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Add Breaks/Replaces for the libdouble-conversion1v5 package,
      can be dropped after the 18.04 LTS release.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Nov 2016 16:44:52 +0100

double-conversion (2.0.1-4) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Use triplet-prefixed compiler.  Closes: #842600

  [ Mattia Rizzolo ]
  * Bump debhelper compat level to 10.
    + --parallel is now default.
  * Drop manual -dbg package in favour of automatic -dbgsym.
  * Drop nowadays unneeded build-dep on dpkg-dev (>= 1.16.x).
  * Use https in Vcs-* fields.
  * Mark libdouble-conversion-dev as M-A:same.
  * Make the package build reproducibility by sorting the list of sources
    before building, to avoid random order in static libs.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 30 Oct 2016 17:56:47 +0000

double-conversion (2.0.1-3ubuntu2) wily; urgency=medium

  * Rename libdouble-conversion1 to libdouble-conversion1v5.
  * Add Breaks/Replaces.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jul 2015 11:23:44 +0200

double-conversion (2.0.1-3ubuntu1) wily; urgency=medium

  * Build using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jul 2015 13:25:58 +0200

double-conversion (2.0.1-3) unstable; urgency=medium

  * libdouble-conversion1.symbols: replace "any-amd64" by
    "amd64 kfreebsd-amd64". This fixes the FTBFS on x32 (because x32 matches
    any-amd64, but is 32-bit arch).
  * Project has moved to GitHub:
    + d/control: update Homepage field
    + d/watch: point to GitHub

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 03 May 2015 14:04:51 +0200

double-conversion (2.0.1-2) unstable; urgency=medium

  * Add support for m68k.
    Thanks to Thorsten Glaser for the patch. (Closes: #699849)
  * Add a symbols file. (Closes: #780245)
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 30 Apr 2015 23:43:43 +0200

double-conversion (2.0.1-1) unstable; urgency=medium

  * Imported Upstream version 2.0.1

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 27 Jan 2014 19:17:27 +0100
