=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 # Get compilation flags from dpkg-buildflags
 include /usr/share/dpkg/default.mk
+ifeq ($(origin CXX),default)
+       CXX = $(DEB_HOST_GNU_TYPE)-g++
+endif
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -9,15 +12,15 @@
 endif
 
 %:
-	dh $@ --parallel
+	dh $@
 
-SO=0
+SO=1
 VERS=$(SO).0
 
-SRC=$(shell echo src/*.cc)
+SRC=$(sort $(wildcard src/*.cc))
 OBJ=$(SRC:.cc=.o)
 
-TEST_SRC=$(shell echo test/cctest/*.cc)
+TEST_SRC=$(sort $(wildcard test/cctest/*.cc))
 TEST_OBJ=$(TEST_SRC:.cc=.o)
 
 CPPFLAGS += -Isrc/
@@ -58,9 +61,6 @@
 	rm -rf debian/shared debian/static
 	rm -f debian/static_dir debian/shared_dir
 
-override_dh_strip:
-	dh_strip --dbg-package=libdouble-conversion-dbg
-
 get-orig-source:
 	uscan --force-download --rename --destdir .
 .PHONY: get-orig-source
