=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/double-conversion-$1\.tar\.gz/ \
  https://github.com/floitsch/double-conversion/tags .*/v?(\d\S*)\.tar\.gz
