## double-conversion 3.1.0

=== debian/changelog ===
double-conversion (3.1.0-3) unstable; urgency=medium

  * Cherry-pick upstream commits to fix incorrect downcasting of separator_.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 07 Mar 2019 14:15:09 +0000

double-conversion (3.1.0-2) unstable; urgency=medium

  * autopkgtest: Add one more test script unittest.sh .
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 20 Sep 2018 05:41:28 +0000

double-conversion (3.1.0-1) experimental; urgency=medium

  * New upstream version 3.1.0
  * Bump Standards-Version to 4.2.1 (no change).
  * Add myself in copyright file and refresh patches.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 10 Sep 2018 03:01:06 +0000

double-conversion (3.0.0+git20180802.4e8b3b5-1) experimental; urgency=medium

  * [O/ITA] Add myself to Uploaders. (Closes: #815264)
  * New upstream version snapshot 3.0.0+git20180802.4e8b3b5
    + Note, the SOVERSION has been bumped to 3.0.0 in upstream's cmake
      build. However it was bumped only because they had changed the
      source directory layout, and ABI has not been changed. Hence, in
      debian/rules SOVERSION is left unchanged because bumping it doesn't
      make sense for Debian and would trigger an unnecessary rebuild
      of the reverse dependency tree.
  * Update Patches.
    + Refresh fix_m68k.patch .
    - Remove fix_riscv64.patch , fixed upstream.
  * Modify source paths in rules , *.install and debian/*.docs ,
    following upstream's directory layout change.
  * Append hardening flags to rules.
  * Upgrade watch file to uscan version 4.
  * Homepage: Upstream project transferred to google.
  * Add autopkgtest control file to build and run upstream tests.
  * Bump Standards-Version to 4.2.0 (no change).
  * Add -I. to CPPFLAGS in order to avoid build failure in clean chroot.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 19 Aug 2018 07:03:56 +0000

double-conversion (2.0.1-5) unstable; urgency=medium

  * Team upload.

  [ Sébastien Villemot ]
  * Drop Sébastien Villemot from Uploaders (see #815264).

  [ Mattia Rizzolo ]
  * Bump Standards-Version to 4.1.4:
    + Change priority from extra (deprecated) to optional.
    + Use HTTPS in d/copyright's Format URL.
    + Remove pointless get-orig-source target from d/rules.
  * d/control: Change Vcs-* URL to salsa.debian.org.
  * Add patch from Manuel A. Fernandez Montecelo <mafm@debian.org> to fix
    build on riscv64.  Closes: #895333
  * Bump debhelper compat level to 11.
  * d/rules: link with --as-needed.
  * Add new symbols that somehow appeared (coming from a template, probably
    something new of gcc7) after a rebuild.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 10 Apr 2018 13:54:50 +0200
