=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: double-conversion
-Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 10), dh-exec
-Standards-Version: 3.9.8
+Uploaders: Mo Zhou <cdluminate@gmail.com>
 Section: libs
-Homepage: https://github.com/floitsch/double-conversion
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/double-conversion.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/double-conversion.git
+Priority: optional
+Build-Depends: debhelper (>= 11),
+               dh-exec
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/science-team/double-conversion
+Vcs-Git: https://salsa.debian.org/science-team/double-conversion.git
+Homepage: https://github.com/google/double-conversion
 
 Package: libdouble-conversion1
 Architecture: any
 Multi-Arch: same
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libdouble-conversion1v5
-Replaces: libdouble-conversion1v5
 Description: routines to convert IEEE floats to and from strings
  This library provides routines to convert IEEE single and double floats to and
  from string representations. It offers at lot of flexibility with respect to
@@ -30,10 +30,11 @@
  This package contains a shared version of the library.
 
 Package: libdouble-conversion-dev
-Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libdouble-conversion1 (= ${binary:Version}), ${misc:Depends}
+Section: libdevel
+Depends: libdouble-conversion1 (= ${binary:Version}),
+         ${misc:Depends}
 Description: routines to convert IEEE floats to and from strings (development files)
  This library provides routines to convert IEEE single and double floats to and
  from string representations. It offers at lot of flexibility with respect to
