=== debian/tests/control ===
# build and run upstream unit tests
Test-Command: g++ test/cctest/*.cc -ldouble-conversion -o run_tests; make test
Depends: @, build-essential

Tests: unittest.sh
Depends: @, build-essential
