=== debian/changelog ===
double-conversion (3.1.5-4ubuntu1) focal; urgency=medium

  * Drop one of the autopkgtests, as they both run the same thing and one
    is therefore redundant.
  * Make remaining autopkgtests cross-test-friendly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Jan 2020 22:28:28 -0800

double-conversion (3.1.5-4) unstable; urgency=medium

  [ Boyuan Yang ]
  * Bump Standards-Version to 4.4.1.
  * debian/rules:
    + Use "dh_missing --fail-missing".
    + Use buildflags.mk instead of manual invocation to get correct
      CXX variable.
    + Define DPKG_EXPORT_BUILDFLAGS=1 to correctly get buildflags.

  [ Mo Zhou ]
  * Update my mail address in control and copyright.
  * Bump debhelper compat level to 12 and deprecate d/compat.

 -- Mo Zhou <lumin@debian.org>  Tue, 07 Jan 2020 15:34:43 +0800

double-conversion (3.1.5-3) unstable; urgency=medium

  * Fixup autopkgtest failure due to a problem of test script.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 24 Nov 2019 14:40:46 +0800

double-conversion (3.1.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 06 Aug 2019 06:49:53 +0000

double-conversion (3.1.5-1) experimental; urgency=medium

  * New upstream version 3.1.5
  * Remove patches merged in the new release.
  * Bump SOVERSION to 3 following upstream.

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 10 Jul 2019 02:38:13 +0000
