=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: double-conversion
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Mo Zhou <cdluminate@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Mo Zhou <lumin@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-exec
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/double-conversion
 Vcs-Git: https://salsa.debian.org/science-team/double-conversion.git
 Homepage: https://github.com/google/double-conversion
 
-Package: libdouble-conversion1
+Package: libdouble-conversion3
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -33,7 +34,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libdouble-conversion1 (= ${binary:Version}),
+Depends: libdouble-conversion3 (= ${binary:Version}),
          ${misc:Depends}
 Description: routines to convert IEEE floats to and from strings (development files)
  This library provides routines to convert IEEE single and double floats to and
