=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,13 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # Get compilation flags from dpkg-buildflags
+DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
-ifeq ($(origin CXX),default)
-       CXX = $(DEB_HOST_GNU_TYPE)-g++
-endif
+
+# The buildtools.mk script was introduced along with dpkg-dev 1.19.0.
+# Fixes FTCBFS. See https://bugs.debian.org/842600
+DPKG_EXPORT_BUILDTOOLS=1
+-include /usr/share/dpkg/buildtools.mk
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -17,8 +20,8 @@
 %:
 	dh $@
 
-SO=1
-VERS=$(SO).0
+SO=3
+VERS=$(SO).1
 
 SRC=$(sort $(wildcard double-conversion/*.cc))
 OBJ=$(SRC:.cc=.o)
@@ -63,3 +66,6 @@
 	rm -f libdouble-conversion.* run_tests test/cctest/*.o
 	rm -rf debian/shared debian/static
 	rm -f debian/static_dir debian/shared_dir
+
+override_dh_missing:
+	dh_missing --fail-missing
