=== debian/tests/control ===
Tests: unittest.sh
Depends: @, build-essential
