## double-conversion 3.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,20 @@
 cmake_minimum_required(VERSION 3.0)
-project(double-conversion VERSION 3.1.5)
+project(double-conversion VERSION 3.1.7)
+
+if(BUILD_SHARED_LIBS AND MSVC)
+  set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
+endif()
 
 set(headers
     double-conversion/bignum.h
     double-conversion/cached-powers.h
     double-conversion/diy-fp.h
     double-conversion/double-conversion.h
+    double-conversion/double-to-string.h
     double-conversion/fast-dtoa.h
     double-conversion/fixed-dtoa.h
     double-conversion/ieee.h
+    double-conversion/string-to-double.h
     double-conversion/strtod.h
     double-conversion/utils.h)
 
@@ -16,10 +22,10 @@
             double-conversion/bignum.cc
             double-conversion/bignum-dtoa.cc
             double-conversion/cached-powers.cc
-            double-conversion/diy-fp.cc
-            double-conversion/double-conversion.cc
+            double-conversion/double-to-string.cc
             double-conversion/fast-dtoa.cc
             double-conversion/fixed-dtoa.cc
+            double-conversion/string-to-double.cc
             double-conversion/strtod.cc
             ${headers})
 target_include_directories(
