=== debian/changelog ===
double-conversion (3.1.7-4) unstable; urgency=medium

  * Use the correct CXXFLAGS for autopkgtest. (Closes: #1003684)

 -- Mo Zhou <lumin@debian.org>  Fri, 14 Jan 2022 21:49:29 -0500

double-conversion (3.1.7-3) unstable; urgency=medium

  * Update patch for MIPS* and also fix for HPPA.

 -- Mo Zhou <lumin@debian.org>  Sun, 09 Jan 2022 20:34:08 -0500

double-conversion (3.1.7-2) unstable; urgency=medium

  * Patch code to fix QuietNan bit check for MIPS* architectures.

 -- Mo Zhou <lumin@debian.org>  Sun, 09 Jan 2022 15:37:30 -0500

double-conversion (3.1.7-1) unstable; urgency=medium

  * New upstream version 3.1.7
  * Refresh remaining patches.
  * Refresh the symbols control file.

 -- Mo Zhou <lumin@debian.org>  Mon, 03 Jan 2022 13:17:16 -0500

double-conversion (3.1.5-7) unstable; urgency=medium

  * Refresh symbols control file. (Closes: #997416)
  * Bump Standards-Version to 4.6.0 without change.

 -- Mo Zhou <lumin@debian.org>  Sun, 24 Oct 2021 20:18:32 -0400

double-conversion (3.1.5-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Compile with -O2 to prevent symbols disappearing with built with -O3.
    Patch by Steve Langasek. (Closes: #973326)
  * The same symbol is missing on *-kfreebsd even with -O2, mark it as
    missing.

 -- Christoph Berg <myon@debian.org>  Mon, 23 Nov 2020 01:01:25 +0100

double-conversion (3.1.5-6) unstable; urgency=medium

  [ Steve Langasek ]
  * Make the new cmake autopkgtest cross-test-friendly as well.

  [ Mo Zhou ]
  * Bump Standards-Version to 4.5.0 (no changes).
  * Bump debhelper compat level to 13.
  * Refresh symbols control file and specify Build-Depends-Package.
  * Specify Rules-Requires-Root: no.

 -- Mo Zhou <lumin@debian.org>  Sat, 17 Oct 2020 20:20:08 +0800

double-conversion (3.1.5-5) unstable; urgency=medium

  [ Steve Langasek ]
  * Drop one of the redundant autopkgtests.
  * Make remaining autopkgtests cross-test-friendly. (Closes: #948559)

  [ Mo Zhou ]
  * Add a pkg-config template.
  * Add static Config.cmake files for double-conversion.
  * Install the pkg-config and cmake files to the -dev package.
  * And a corresponding autopkgtest case for the cmake files.

 -- Mo Zhou <lumin@debian.org>  Sat, 11 Jan 2020 14:36:44 +0800
