=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_CXXFLAGS_MAINT_APPEND += -O2
+export DEB_CXXFLAGS_MAINT_STRIP += -O3
 
 # Get compilation flags from dpkg-buildflags
 DPKG_EXPORT_BUILDFLAGS = 1
@@ -61,11 +63,14 @@
 	$(CXX) $(LDFLAGS) -o run_tests $^
 
 override_dh_auto_build: libdouble-conversion.so libdouble-conversion.a run_tests
+	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
+		< debian/double-conversion.pc.in > debian/double-conversion.pc
 
 override_dh_auto_clean:
 	rm -f libdouble-conversion.* run_tests test/cctest/*.o
 	rm -rf debian/shared debian/static
 	rm -f debian/static_dir debian/shared_dir
+	-$(RM) debian/*.pc
 
 override_dh_missing:
 	dh_missing --fail-missing
