## double-conversion 3.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 cmake_minimum_required(VERSION 3.0)
-project(double-conversion VERSION 3.1.7)
+project(double-conversion VERSION 3.2.0)
+
+option(BUILD_SHARED_LIBS "Build shared libraries (.dll/.so) instead of static ones (.lib/.a)" OFF)
 
 if(BUILD_SHARED_LIBS AND MSVC)
   set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
@@ -116,3 +118,13 @@
     NAMESPACE "${namespace}"
     DESTINATION "${config_install_dir}"
 )
+
+if (MSVC AND BUILD_SHARED_LIBS)
+  # Install companion PDB for Visual Studio
+  install(
+    FILES $<TARGET_PDB_FILE:double-conversion>
+    TYPE BIN
+    OPTIONAL
+  )
+endif()
+
