=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: double-conversion
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-exec
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/double-conversion
 Vcs-Git: https://salsa.debian.org/science-team/double-conversion.git
 Homepage: https://github.com/google/double-conversion
+Rules-Requires-Root: no
 
 Package: libdouble-conversion3
 Architecture: any
