=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all # optimize=+lto
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_CXXFLAGS_MAINT_APPEND += -O2
 export DEB_CXXFLAGS_MAINT_STRIP += -O3
