=== debian/tests/control ===
Tests: unittest.sh
Depends: @, build-essential

Tests: cmake
Depends: @, build-essential, cmake
Restrictions: allow-stderr
