=== debian/changelog ===
double-conversion (3.3.1-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest regression with CMake 4. (Closes: #1116507)
  * Bump Standards-Version to 4.7.2 (no change needed).

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 07 Oct 2025 22:48:54 -0400

double-conversion (3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1
  * Bump Standards-Version to 4.7.0 (no change needed).

 -- Mo Zhou <lumin@debian.org>  Wed, 19 Feb 2025 16:18:18 -0500
