=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%double-conversion-$1.tar.gz%" \
    https://github.com/google/double-conversion/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
