## double-conversion 3.4.0

=== debian/changelog ===
double-conversion (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0

 -- Mo Zhou <lumin@debian.org>  Mon, 15 Dec 2025 15:30:56 -0500
